slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVNormVec

Computes the norm of a given vector.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVNormVec(BV bv,Vec v,NormType type,PetscReal *val)

Collective

### Input Parameters

| bv | - basis vectors
| v | - the vector
| type | - the norm type

### Output Parameter

| val | - the norm

### Notes

This is the analogue of BVNormColumn() but for a vector that is not in the BV. If a non-standard inner product has been specified with BVSetMatrix(), then the returned value is sqrt(v'*B*v), where B is the inner product matrix (argument 'type' is ignored). Otherwise, VecNorm() is called.

### See Also

BVNorm(), BVNormColumn(), BVSetMatrix()

### Level

developer

### Location

src/sys/classes/bv/interface/bvglobal.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages